<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>EscherGraphics (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="EscherGraphics (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/EscherGraphics.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics2d.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/EscherGraphics.html"
               target="_top">Frames</a></li>
        <li><a href="EscherGraphics.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.usermodel</div>
    <h2 title="Class EscherGraphics" class="title">Class EscherGraphics</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>java.awt.Graphics</li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hssf.usermodel.EscherGraphics</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">EscherGraphics</span>
extends java.awt.Graphics</pre>
                <div class="block">Translates Graphics calls into escher calls. The translation is lossy so
                    many features are not supported and some just aren't implemented yet. If
                    in doubt test the specific calls you wish to make. Graphics calls are
                    always performed into an EscherGroup so one will need to be created.
                    <p>
                        <b>Important:</b>
                        <blockquote>
                            One important concept worth considering is that of font size. One of the
                            difficulties in converting Graphics calls into escher drawing calls is that
                            Excel does not have the concept of absolute pixel positions. It measures
                            it's cell widths in 'characters' and the cell heights in points.
                            Unfortunately it's not defined exactly what a type of character it's
                            measuring. Presumably this is due to the fact that the Excel will be
                            using different fonts on different platforms or even within the same
                            platform.
                    <p>
                        Because of this constraint we've had to calculate the
                        verticalPointsPerPixel. This the amount the font should be scaled by when
                        you issue commands such as drawString(). A good way to calculate this
                        is to use the follow formula:
                    <p>
                    <pre>
      multipler = groupHeightInPoints / heightOfGroup
 </pre>
                    <p>
                        The height of the group is calculated fairly simply by calculating the
                        difference between the y coordinates of the bounding box of the shape. The
                        height of the group can be calculated by using a convenience called
                        <code>HSSFClientAnchor.getAnchorHeightInPoints()</code>.
                        </blockquote></div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#EscherGraphics-org.apache.poi.hssf.usermodel.HSSFShapeGroup-org.apache.poi.hssf.usermodel.HSSFWorkbook-java.awt.Color-float-">EscherGraphics</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShapeGroup</a>&nbsp;escherGroup,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                    java.awt.Color&nbsp;forecolor,
                                    float&nbsp;verticalPointsPerPixel)</code>
                                    <div class="block">Construct an escher graphics object.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#clearRect-int-int-int-int-">clearRect</a></span>(int&nbsp;x,
                                    int&nbsp;y,
                                    int&nbsp;width,
                                    int&nbsp;height)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#clipRect-int-int-int-int-">clipRect</a></span>(int&nbsp;x,
                                    int&nbsp;y,
                                    int&nbsp;width,
                                    int&nbsp;height)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#copyArea-int-int-int-int-int-int-">copyArea</a></span>(int&nbsp;x,
                                    int&nbsp;y,
                                    int&nbsp;width,
                                    int&nbsp;height,
                                    int&nbsp;dx,
                                    int&nbsp;dy)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.awt.Graphics</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#create--">create</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#dispose--">dispose</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#drawArc-int-int-int-int-int-int-">drawArc</a></span>(int&nbsp;x,
                                    int&nbsp;y,
                                    int&nbsp;width,
                                    int&nbsp;height,
                                    int&nbsp;startAngle,
                                    int&nbsp;arcAngle)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#drawImage-java.awt.Image-int-int-java.awt.Color-java.awt.image.ImageObserver-">drawImage</a></span>(java.awt.Image&nbsp;image,
                                    int&nbsp;i,
                                    int&nbsp;j,
                                    java.awt.Color&nbsp;color,
                                    java.awt.image.ImageObserver&nbsp;imageobserver)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#drawImage-java.awt.Image-int-int-java.awt.image.ImageObserver-">drawImage</a></span>(java.awt.Image&nbsp;image,
                                    int&nbsp;i,
                                    int&nbsp;j,
                                    java.awt.image.ImageObserver&nbsp;imageobserver)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#drawImage-java.awt.Image-int-int-int-int-java.awt.Color-java.awt.image.ImageObserver-">drawImage</a></span>(java.awt.Image&nbsp;image,
                                    int&nbsp;i,
                                    int&nbsp;j,
                                    int&nbsp;k,
                                    int&nbsp;l,
                                    java.awt.Color&nbsp;color,
                                    java.awt.image.ImageObserver&nbsp;imageobserver)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#drawImage-java.awt.Image-int-int-int-int-java.awt.image.ImageObserver-">drawImage</a></span>(java.awt.Image&nbsp;image,
                                    int&nbsp;i,
                                    int&nbsp;j,
                                    int&nbsp;k,
                                    int&nbsp;l,
                                    java.awt.image.ImageObserver&nbsp;imageobserver)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#drawImage-java.awt.Image-int-int-int-int-int-int-int-int-java.awt.Color-java.awt.image.ImageObserver-">drawImage</a></span>(java.awt.Image&nbsp;img,
                                    int&nbsp;dx1,
                                    int&nbsp;dy1,
                                    int&nbsp;dx2,
                                    int&nbsp;dy2,
                                    int&nbsp;sx1,
                                    int&nbsp;sy1,
                                    int&nbsp;sx2,
                                    int&nbsp;sy2,
                                    java.awt.Color&nbsp;bgcolor,
                                    java.awt.image.ImageObserver&nbsp;observer)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#drawImage-java.awt.Image-int-int-int-int-int-int-int-int-java.awt.image.ImageObserver-">drawImage</a></span>(java.awt.Image&nbsp;img,
                                    int&nbsp;dx1,
                                    int&nbsp;dy1,
                                    int&nbsp;dx2,
                                    int&nbsp;dy2,
                                    int&nbsp;sx1,
                                    int&nbsp;sy1,
                                    int&nbsp;sx2,
                                    int&nbsp;sy2,
                                    java.awt.image.ImageObserver&nbsp;observer)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#drawLine-int-int-int-int-">drawLine</a></span>(int&nbsp;x1,
                                    int&nbsp;y1,
                                    int&nbsp;x2,
                                    int&nbsp;y2)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#drawLine-int-int-int-int-int-">drawLine</a></span>(int&nbsp;x1,
                                    int&nbsp;y1,
                                    int&nbsp;x2,
                                    int&nbsp;y2,
                                    int&nbsp;width)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#drawOval-int-int-int-int-">drawOval</a></span>(int&nbsp;x,
                                    int&nbsp;y,
                                    int&nbsp;width,
                                    int&nbsp;height)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#drawPolygon-int:A-int:A-int-">drawPolygon</a></span>(int[]&nbsp;xPoints,
                                    int[]&nbsp;yPoints,
                                    int&nbsp;nPoints)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#drawPolyline-int:A-int:A-int-">drawPolyline</a></span>(int[]&nbsp;xPoints,
                                    int[]&nbsp;yPoints,
                                    int&nbsp;nPoints)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#drawRect-int-int-int-int-">drawRect</a></span>(int&nbsp;x,
                                    int&nbsp;y,
                                    int&nbsp;width,
                                    int&nbsp;height)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#drawRoundRect-int-int-int-int-int-int-">drawRoundRect</a></span>(int&nbsp;x,
                                    int&nbsp;y,
                                    int&nbsp;width,
                                    int&nbsp;height,
                                    int&nbsp;arcWidth,
                                    int&nbsp;arcHeight)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#drawString-java.text.AttributedCharacterIterator-int-int-">drawString</a></span>(java.text.AttributedCharacterIterator&nbsp;iterator,
                                    int&nbsp;x,
                                    int&nbsp;y)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#drawString-java.lang.String-int-int-">drawString</a></span>(java.lang.String&nbsp;str,
                                    int&nbsp;x,
                                    int&nbsp;y)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#fillArc-int-int-int-int-int-int-">fillArc</a></span>(int&nbsp;x,
                                    int&nbsp;y,
                                    int&nbsp;width,
                                    int&nbsp;height,
                                    int&nbsp;startAngle,
                                    int&nbsp;arcAngle)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#fillOval-int-int-int-int-">fillOval</a></span>(int&nbsp;x,
                                    int&nbsp;y,
                                    int&nbsp;width,
                                    int&nbsp;height)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#fillPolygon-int:A-int:A-int-">fillPolygon</a></span>(int[]&nbsp;xPoints,
                                    int[]&nbsp;yPoints,
                                    int&nbsp;nPoints)</code>
                                    <div class="block">Fills a (closed) polygon, as defined by a pair of arrays, which
                                        hold the <i>x</i> and <i>y</i> coordinates.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#fillRect-int-int-int-int-">fillRect</a></span>(int&nbsp;x,
                                    int&nbsp;y,
                                    int&nbsp;width,
                                    int&nbsp;height)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#fillRoundRect-int-int-int-int-int-int-">fillRoundRect</a></span>(int&nbsp;x,
                                    int&nbsp;y,
                                    int&nbsp;width,
                                    int&nbsp;height,
                                    int&nbsp;arcWidth,
                                    int&nbsp;arcHeight)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>java.awt.Color</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#getBackground--">getBackground</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>java.awt.Shape</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#getClip--">getClip</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i28" class="altColor">
                                <td class="colFirst"><code>java.awt.Rectangle</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#getClipBounds--">getClipBounds</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i29" class="rowColor">
                                <td class="colFirst"><code>java.awt.Color</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#getColor--">getColor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i30" class="altColor">
                                <td class="colFirst"><code>java.awt.Font</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#getFont--">getFont</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i31" class="rowColor">
                                <td class="colFirst"><code>java.awt.FontMetrics</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#getFontMetrics-java.awt.Font-">getFontMetrics</a></span>(java.awt.Font&nbsp;f)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i32" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#setBackground-java.awt.Color-">setBackground</a></span>(java.awt.Color&nbsp;background)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i33" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#setClip-int-int-int-int-">setClip</a></span>(int&nbsp;x,
                                    int&nbsp;y,
                                    int&nbsp;width,
                                    int&nbsp;height)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i34" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#setClip-java.awt.Shape-">setClip</a></span>(java.awt.Shape&nbsp;shape)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i35" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#setColor-java.awt.Color-">setColor</a></span>(java.awt.Color&nbsp;color)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i36" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#setFont-java.awt.Font-">setFont</a></span>(java.awt.Font&nbsp;f)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i37" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#setPaintMode--">setPaintMode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i38" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#setXORMode-java.awt.Color-">setXORMode</a></span>(java.awt.Color&nbsp;color)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i39" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#translate-int-int-">translate</a></span>(int&nbsp;x,
                                    int&nbsp;y)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.awt.Graphics">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.awt.Graphics</h3>
                                <code>create, draw3DRect, drawBytes, drawChars, drawPolygon, fill3DRect, fillPolygon,
                                    finalize, getClipBounds, getClipRect, getFontMetrics, hitClip, toString</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="EscherGraphics-org.apache.poi.hssf.usermodel.HSSFShapeGroup-org.apache.poi.hssf.usermodel.HSSFWorkbook-java.awt.Color-float-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>EscherGraphics</h4>
                                <pre>public&nbsp;EscherGraphics(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShapeGroup</a>&nbsp;escherGroup,
                      <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                         title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                      java.awt.Color&nbsp;forecolor,
                      float&nbsp;verticalPointsPerPixel)</pre>
                                <div class="block">Construct an escher graphics object.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>escherGroup</code> - The escher group to write the graphics calls into.
                                    </dd>
                                    <dd><code>workbook</code> - The workbook we are using.</dd>
                                    <dd><code>forecolor</code> - The foreground color to use as default.</dd>
                                    <dd><code>verticalPointsPerPixel</code> - The font multiplier. (See class
                                        description for information on how this works.).
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="clearRect-int-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>clearRect</h4>
                                <pre><a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                        title="annotation in org.apache.poi.util">@NotImplemented</a>
public&nbsp;void&nbsp;clearRect(int&nbsp;x,
                                      int&nbsp;y,
                                      int&nbsp;width,
                                      int&nbsp;height)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>clearRect</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="clipRect-int-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>clipRect</h4>
                                <pre><a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                        title="annotation in org.apache.poi.util">@NotImplemented</a>
public&nbsp;void&nbsp;clipRect(int&nbsp;x,
                                     int&nbsp;y,
                                     int&nbsp;width,
                                     int&nbsp;height)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>clipRect</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="copyArea-int-int-int-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>copyArea</h4>
                                <pre><a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                        title="annotation in org.apache.poi.util">@NotImplemented</a>
public&nbsp;void&nbsp;copyArea(int&nbsp;x,
                                     int&nbsp;y,
                                     int&nbsp;width,
                                     int&nbsp;height,
                                     int&nbsp;dx,
                                     int&nbsp;dy)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>copyArea</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="create--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>create</h4>
                                <pre>public&nbsp;java.awt.Graphics&nbsp;create()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>create</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="dispose--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>dispose</h4>
                                <pre>public&nbsp;void&nbsp;dispose()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>dispose</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="drawArc-int-int-int-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>drawArc</h4>
                                <pre><a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                        title="annotation in org.apache.poi.util">@NotImplemented</a>
public&nbsp;void&nbsp;drawArc(int&nbsp;x,
                                    int&nbsp;y,
                                    int&nbsp;width,
                                    int&nbsp;height,
                                    int&nbsp;startAngle,
                                    int&nbsp;arcAngle)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>drawArc</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="drawImage-java.awt.Image-int-int-int-int-int-int-int-int-java.awt.Color-java.awt.image.ImageObserver-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>drawImage</h4>
                                <pre><a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                        title="annotation in org.apache.poi.util">@NotImplemented</a>
public&nbsp;boolean&nbsp;drawImage(java.awt.Image&nbsp;img,
                                         int&nbsp;dx1,
                                         int&nbsp;dy1,
                                         int&nbsp;dx2,
                                         int&nbsp;dy2,
                                         int&nbsp;sx1,
                                         int&nbsp;sy1,
                                         int&nbsp;sx2,
                                         int&nbsp;sy2,
                                         java.awt.Color&nbsp;bgcolor,
                                         java.awt.image.ImageObserver&nbsp;observer)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>drawImage</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="drawImage-java.awt.Image-int-int-int-int-int-int-int-int-java.awt.image.ImageObserver-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>drawImage</h4>
                                <pre><a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                        title="annotation in org.apache.poi.util">@NotImplemented</a>
public&nbsp;boolean&nbsp;drawImage(java.awt.Image&nbsp;img,
                                         int&nbsp;dx1,
                                         int&nbsp;dy1,
                                         int&nbsp;dx2,
                                         int&nbsp;dy2,
                                         int&nbsp;sx1,
                                         int&nbsp;sy1,
                                         int&nbsp;sx2,
                                         int&nbsp;sy2,
                                         java.awt.image.ImageObserver&nbsp;observer)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>drawImage</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="drawImage-java.awt.Image-int-int-int-int-java.awt.Color-java.awt.image.ImageObserver-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>drawImage</h4>
                                <pre>public&nbsp;boolean&nbsp;drawImage(java.awt.Image&nbsp;image,
                         int&nbsp;i,
                         int&nbsp;j,
                         int&nbsp;k,
                         int&nbsp;l,
                         java.awt.Color&nbsp;color,
                         java.awt.image.ImageObserver&nbsp;imageobserver)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>drawImage</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="drawImage-java.awt.Image-int-int-int-int-java.awt.image.ImageObserver-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>drawImage</h4>
                                <pre>public&nbsp;boolean&nbsp;drawImage(java.awt.Image&nbsp;image,
                         int&nbsp;i,
                         int&nbsp;j,
                         int&nbsp;k,
                         int&nbsp;l,
                         java.awt.image.ImageObserver&nbsp;imageobserver)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>drawImage</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="drawImage-java.awt.Image-int-int-java.awt.Color-java.awt.image.ImageObserver-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>drawImage</h4>
                                <pre>public&nbsp;boolean&nbsp;drawImage(java.awt.Image&nbsp;image,
                         int&nbsp;i,
                         int&nbsp;j,
                         java.awt.Color&nbsp;color,
                         java.awt.image.ImageObserver&nbsp;imageobserver)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>drawImage</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="drawImage-java.awt.Image-int-int-java.awt.image.ImageObserver-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>drawImage</h4>
                                <pre>public&nbsp;boolean&nbsp;drawImage(java.awt.Image&nbsp;image,
                         int&nbsp;i,
                         int&nbsp;j,
                         java.awt.image.ImageObserver&nbsp;imageobserver)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>drawImage</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="drawLine-int-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>drawLine</h4>
                                <pre>public&nbsp;void&nbsp;drawLine(int&nbsp;x1,
                     int&nbsp;y1,
                     int&nbsp;x2,
                     int&nbsp;y2)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>drawLine</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="drawLine-int-int-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>drawLine</h4>
                                <pre>public&nbsp;void&nbsp;drawLine(int&nbsp;x1,
                     int&nbsp;y1,
                     int&nbsp;x2,
                     int&nbsp;y2,
                     int&nbsp;width)</pre>
                            </li>
                        </ul>
                        <a name="drawOval-int-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>drawOval</h4>
                                <pre>public&nbsp;void&nbsp;drawOval(int&nbsp;x,
                     int&nbsp;y,
                     int&nbsp;width,
                     int&nbsp;height)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>drawOval</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="drawPolygon-int:A-int:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>drawPolygon</h4>
                                <pre>public&nbsp;void&nbsp;drawPolygon(int[]&nbsp;xPoints,
                        int[]&nbsp;yPoints,
                        int&nbsp;nPoints)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>drawPolygon</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="drawPolyline-int:A-int:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>drawPolyline</h4>
                                <pre><a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                        title="annotation in org.apache.poi.util">@NotImplemented</a>
public&nbsp;void&nbsp;drawPolyline(int[]&nbsp;xPoints,
                                         int[]&nbsp;yPoints,
                                         int&nbsp;nPoints)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>drawPolyline</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="drawRect-int-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>drawRect</h4>
                                <pre><a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                        title="annotation in org.apache.poi.util">@NotImplemented</a>
public&nbsp;void&nbsp;drawRect(int&nbsp;x,
                                     int&nbsp;y,
                                     int&nbsp;width,
                                     int&nbsp;height)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>drawRect</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="drawRoundRect-int-int-int-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>drawRoundRect</h4>
                                <pre><a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                        title="annotation in org.apache.poi.util">@NotImplemented</a>
public&nbsp;void&nbsp;drawRoundRect(int&nbsp;x,
                                          int&nbsp;y,
                                          int&nbsp;width,
                                          int&nbsp;height,
                                          int&nbsp;arcWidth,
                                          int&nbsp;arcHeight)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>drawRoundRect</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="drawString-java.lang.String-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>drawString</h4>
                                <pre>public&nbsp;void&nbsp;drawString(java.lang.String&nbsp;str,
                       int&nbsp;x,
                       int&nbsp;y)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>drawString</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="drawString-java.text.AttributedCharacterIterator-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>drawString</h4>
                                <pre>public&nbsp;void&nbsp;drawString(java.text.AttributedCharacterIterator&nbsp;iterator,
                       int&nbsp;x,
                       int&nbsp;y)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>drawString</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="fillArc-int-int-int-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fillArc</h4>
                                <pre>public&nbsp;void&nbsp;fillArc(int&nbsp;x,
                    int&nbsp;y,
                    int&nbsp;width,
                    int&nbsp;height,
                    int&nbsp;startAngle,
                    int&nbsp;arcAngle)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>fillArc</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="fillOval-int-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fillOval</h4>
                                <pre>public&nbsp;void&nbsp;fillOval(int&nbsp;x,
                     int&nbsp;y,
                     int&nbsp;width,
                     int&nbsp;height)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>fillOval</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="fillPolygon-int:A-int:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fillPolygon</h4>
                                <pre>public&nbsp;void&nbsp;fillPolygon(int[]&nbsp;xPoints,
                        int[]&nbsp;yPoints,
                        int&nbsp;nPoints)</pre>
                                <div class="block">Fills a (closed) polygon, as defined by a pair of arrays, which
                                    hold the <i>x</i> and <i>y</i> coordinates.
                                    <p>
                                        This draws the polygon, with <code>nPoint</code> line segments.
                                        The first <code>nPoint&nbsp;-&nbsp;1</code> line segments are
                                        drawn between sequential points
                                        (<code>xPoints[i],yPoints[i],xPoints[i+1],yPoints[i+1]</code>).
                                        The final line segment is a closing one, from the last point to
                                        the first (assuming they are different).
                                    <p>
                                        The area inside of the polygon is defined by using an
                                        even-odd fill rule (also known as the alternating rule), and
                                        the area inside of it is filled.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>fillPolygon</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>xPoints</code> - array of the <code>x</code> coordinates.</dd>
                                    <dd><code>yPoints</code> - array of the <code>y</code> coordinates.</dd>
                                    <dd><code>nPoints</code> - the total number of points in the polygon.</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><code>Graphics.drawPolygon(int[], int[], int)</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="fillRect-int-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fillRect</h4>
                                <pre>public&nbsp;void&nbsp;fillRect(int&nbsp;x,
                     int&nbsp;y,
                     int&nbsp;width,
                     int&nbsp;height)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>fillRect</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="fillRoundRect-int-int-int-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fillRoundRect</h4>
                                <pre>public&nbsp;void&nbsp;fillRoundRect(int&nbsp;x,
                          int&nbsp;y,
                          int&nbsp;width,
                          int&nbsp;height,
                          int&nbsp;arcWidth,
                          int&nbsp;arcHeight)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>fillRoundRect</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getClip--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getClip</h4>
                                <pre>public&nbsp;java.awt.Shape&nbsp;getClip()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>getClip</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getClipBounds--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getClipBounds</h4>
                                <pre>public&nbsp;java.awt.Rectangle&nbsp;getClipBounds()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>getClipBounds</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getColor</h4>
                                <pre>public&nbsp;java.awt.Color&nbsp;getColor()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>getColor</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFont--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFont</h4>
                                <pre>public&nbsp;java.awt.Font&nbsp;getFont()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>getFont</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFontMetrics-java.awt.Font-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontMetrics</h4>
                                <pre>public&nbsp;java.awt.FontMetrics&nbsp;getFontMetrics(java.awt.Font&nbsp;f)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>getFontMetrics</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setClip-int-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setClip</h4>
                                <pre>public&nbsp;void&nbsp;setClip(int&nbsp;x,
                    int&nbsp;y,
                    int&nbsp;width,
                    int&nbsp;height)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>setClip</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setClip-java.awt.Shape-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setClip</h4>
                                <pre><a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                        title="annotation in org.apache.poi.util">@NotImplemented</a>
public&nbsp;void&nbsp;setClip(java.awt.Shape&nbsp;shape)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>setClip</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setColor-java.awt.Color-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setColor</h4>
                                <pre>public&nbsp;void&nbsp;setColor(java.awt.Color&nbsp;color)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>setColor</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFont-java.awt.Font-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFont</h4>
                                <pre>public&nbsp;void&nbsp;setFont(java.awt.Font&nbsp;f)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>setFont</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setPaintMode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPaintMode</h4>
                                <pre><a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                        title="annotation in org.apache.poi.util">@NotImplemented</a>
public&nbsp;void&nbsp;setPaintMode()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>setPaintMode</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setXORMode-java.awt.Color-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setXORMode</h4>
                                <pre><a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                        title="annotation in org.apache.poi.util">@NotImplemented</a>
public&nbsp;void&nbsp;setXORMode(java.awt.Color&nbsp;color)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>setXORMode</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="translate-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>translate</h4>
                                <pre><a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                        title="annotation in org.apache.poi.util">@NotImplemented</a>
public&nbsp;void&nbsp;translate(int&nbsp;x,
                                      int&nbsp;y)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>translate</code>&nbsp;in class&nbsp;<code>java.awt.Graphics</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBackground--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBackground</h4>
                                <pre>public&nbsp;java.awt.Color&nbsp;getBackground()</pre>
                            </li>
                        </ul>
                        <a name="setBackground-java.awt.Color-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setBackground</h4>
                                <pre>public&nbsp;void&nbsp;setBackground(java.awt.Color&nbsp;background)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/EscherGraphics.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics2d.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/EscherGraphics.html"
               target="_top">Frames</a></li>
        <li><a href="EscherGraphics.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
